# Identification

## Create Natural Person Identification

> Create new natural person identification

```json
{"openapi":"3.0.1","info":{"title":"Entities","version":"1.0"},"tags":[{"name":"Identification","description":"Natural Person identification verifications"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"parameters":{"requestorId":{"schema":{"type":"string","format":"uuid"},"name":"Requestor-ID","in":"header","required":true,"description":"Unique requestor identification in UUID format"}},"schemas":{"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]},"NaturalPersonIdentificationData":{"title":"NaturalPersonIdentificationData","type":"object","properties":{"externalVerifier":{"$ref":"#/components/schemas/ExternalVerifierEnum"},"identificationType":{"$ref":"#/components/schemas/IdentificationTypeEnum"},"identificationDate":{"description":"Date on which the identification was carried out. The date must be within the last 24 months.","type":"string","format":"date"},"identificationDocumentType":{"$ref":"#/components/schemas/IdentificationDocumentTypeEnum"},"documentNumber":{"description":"Document number of the identification document.","type":"string","minLength":1,"maxLength":255},"documentCountry":{"title":"CountryEnum","type":"string","description":"Issuing country of the identification document.","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AQ","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","VG","IO","BN","BG","BF","BI","KH","CM","CA","CV","KY","CF","TD","CL","CN","HK","MO","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CW","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KP","KR","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MK","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","AN","NC","NZ","NI","NE","NG","NU","NF","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","US","UM","UY","UZ","VU","VE","VN","VI","WF","EH","YE","ZM","ZW","XK"]},"documentIssuer":{"description":"Issuing authority of the identification document","type":"string","minLength":1,"maxLength":255},"documentIssueDate":{"description":"Issue date of the identification document","type":"string","format":"date"},"documentExpiryDate":{"description":"Expiry date of the identification document. If the identification document is a birth certificate, the date on which the person comes of age must be entered as the expiry date.","type":"string","format":"date"},"documentMotherFullName":{"description":"Full name of the mother, only mandatory for identificationDocumentType = BIRTH_CERTIFICATE","type":"string","minLength":1,"maxLength":255},"documentMotherResidenceCity":{"description":"Residence city of the mother, only mandatory for identificationDocumentType = BIRTH_CERTIFICATE","type":"string","minLength":1,"maxLength":255},"documentFatherFullName":{"description":"Full name of the father, only mandatory for identificationDocumentType = BIRTH_CERTIFICATE","type":"string","minLength":1,"maxLength":255},"documentFatherResidenceCity":{"description":"Residence city of the father, only mandatory for identificationDocumentType = BIRTH_CERTIFICATE","type":"string","minLength":1,"maxLength":255}},"required":["externalVerifier","identificationType","identificationDocumentType","documentNumber","documentCountry","documentIssuer","documentIssueDate","documentExpiryDate","identificationDate"]},"ExternalVerifierEnum":{"title":"ExternalVerifierEnum","description":"The legal name of the vendor/company performing the identification for this natural person","type":"string","enum":["WEB_ID","ID_NOW","DEUTSCHE_POST","PARTNER","OTHER"]},"IdentificationTypeEnum":{"title":"IdentificationTypeEnum","description":"Method used to identify the customer","type":"string","enum":["VIDEO_IDENT","IN_PERSON","POST_IDENT","E_ID","ID_COPY"]},"IdentificationDocumentTypeEnum":{"title":"IdentificationDocumentTypeEnum","description":"Type of the identification document which has been used for identification of the natural person.","type":"string","enum":["ID","PASSPORT","BIRTH_CERTIFICATE"]}}},"paths":{"/entities/natural-persons/{naturalPersonId}/identification":{"post":{"summary":"Create Natural Person Identification","operationId":"create-natural-person-identification","tags":["Identification"],"parameters":[{"$ref":"#/components/parameters/requestorId"}],"responses":{"202":{"description":"Accepted","content":{}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Create new natural person identification","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NaturalPersonIdentificationData"}}}}}}}}
```

## Create Identification Verification

> Create Identification Verification\
> \
> After successful request link to a video call should be retrieved with Get Identification Verification endpoint from \`identificationUrl\` field of the response.\
> \
> Currently only externalVerifier = WEB\_ID and identificationType = VIDEO\_IDENT is supported.

```json
{"openapi":"3.0.1","info":{"title":"Entities","version":"1.0"},"tags":[{"name":"Identification","description":"Natural Person identification verifications"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"parameters":{"requestorId":{"schema":{"type":"string","format":"uuid"},"name":"Requestor-ID","in":"header","required":true,"description":"Unique requestor identification in UUID format"}},"schemas":{"RequestIdentificationVerificationResult":{"title":"RequestIdentificationVerificationResult","type":"object","properties":{"identificationVerificationId":{"type":"string","format":"uuid"}},"required":["identificationVerificationId"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]},"IdentificationVerificationData":{"title":"IdentificationVerificationData","type":"object","properties":{"naturalPersonId":{"type":"string","format":"uuid"},"externalVerifier":{"$ref":"#/components/schemas/ExternalVerifierEnum"},"identificationType":{"$ref":"#/components/schemas/IdentificationTypeEnum"},"redirectUrl":{"type":"string","minLength":1,"pattern":"^https?://.+","description":"Redirect URL passed to the external verifier. After the identification process is done, the user will be redirected to this URL."}},"required":["naturalPersonId","externalVerifier","identificationType"]},"ExternalVerifierEnum":{"title":"ExternalVerifierEnum","description":"The legal name of the vendor/company performing the identification for this natural person","type":"string","enum":["WEB_ID","ID_NOW","DEUTSCHE_POST","PARTNER","OTHER"]},"IdentificationTypeEnum":{"title":"IdentificationTypeEnum","description":"Method used to identify the customer","type":"string","enum":["VIDEO_IDENT","IN_PERSON","POST_IDENT","E_ID","ID_COPY"]}}},"paths":{"/entities/identification-verifications":{"post":{"summary":"Create Identification Verification","operationId":"create-identification-verification","tags":["Identification"],"parameters":[{"$ref":"#/components/parameters/requestorId"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestIdentificationVerificationResult"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IdentificationVerificationData"}}}},"description":"Create Identification Verification\n\nAfter successful request link to a video call should be retrieved with Get Identification Verification endpoint from `identificationUrl` field of the response.\n\nCurrently only externalVerifier = WEB_ID and identificationType = VIDEO_IDENT is supported."}}}}
```

## Get Identification Verifications

> Get Identification Verifications

```json
{"openapi":"3.0.1","info":{"title":"Entities","version":"1.0"},"tags":[{"name":"Identification","description":"Natural Person identification verifications"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"parameters":{"cursor":{"schema":{"type":"string"},"in":"query","name":"cursor","description":"String value used for pagination"},"limit":{"schema":{"type":"integer","default":20,"minimum":1},"in":"query","name":"limit","description":"Maximum number of items to return","required":true}},"schemas":{"IdentificationVerifications":{"title":"IdentificationVerifications","type":"object","properties":{"data":{"type":"array","description":"Array of identification verifications","items":{"$ref":"#/components/schemas/IdentificationVerification"}},"pagination":{"$ref":"#/components/schemas/Pagination"}},"required":["data","pagination"]},"IdentificationVerification":{"title":"IdentificationVerification","type":"object","properties":{"naturalPersonId":{"type":"string","format":"uuid"},"identificationVerificationId":{"type":"string","format":"uuid","readOnly":true},"externalVerifier":{"$ref":"#/components/schemas/ExternalVerifierEnum"},"identificationType":{"$ref":"#/components/schemas/IdentificationTypeEnum"},"identificationUrl":{"type":"string","minLength":1},"documentId":{"type":"string","format":"uuid"},"naturalPersonIdentificationId":{"type":"string","format":"uuid"},"createdOn":{"type":"string","format":"date-time","description":"The date on which the wizard was created","readOnly":true},"modifiedOn":{"type":"string","format":"date-time","description":"The date on which the wizard was modified the last time","readOnly":true},"status":{"$ref":"#/components/schemas/IdentificationVerificationStatusEnum"}},"required":["externalVerifier","identificationType","naturalPersonId","identificationUrl","identificationVerificationId","createdOn","modifiedOn","status"]},"ExternalVerifierEnum":{"title":"ExternalVerifierEnum","description":"The legal name of the vendor/company performing the identification for this natural person","type":"string","enum":["WEB_ID","ID_NOW","DEUTSCHE_POST","PARTNER","OTHER"]},"IdentificationTypeEnum":{"title":"IdentificationTypeEnum","description":"Method used to identify the customer","type":"string","enum":["VIDEO_IDENT","IN_PERSON","POST_IDENT","E_ID","ID_COPY"]},"IdentificationVerificationStatusEnum":{"title":"IdentificationVerificationStatusEnum","type":"string","enum":["RECEIVED","INVALID","PENDING","APPROVED","REJECTED","EXPIRED"]},"Pagination":{"title":"Pagination","type":"object","properties":{"cursor":{"type":"string","description":"String value used for pagination, which should be set in next page request."},"limit":{"type":"integer","description":"Maximum number of returned items"}},"required":["cursor","limit"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/entities/identification-verifications":{"get":{"summary":"Get Identification Verifications","operationId":"get-identification-verifications","tags":["Identification"],"parameters":[{"$ref":"#/components/parameters/cursor"},{"$ref":"#/components/parameters/limit"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IdentificationVerifications"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Get Identification Verifications"}}}}
```

## Get Identification Verification

> Get Identification Verification

```json
{"openapi":"3.0.1","info":{"title":"Entities","version":"1.0"},"tags":[{"name":"Identification","description":"Natural Person identification verifications"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"schemas":{"IdentificationVerification":{"title":"IdentificationVerification","type":"object","properties":{"naturalPersonId":{"type":"string","format":"uuid"},"identificationVerificationId":{"type":"string","format":"uuid","readOnly":true},"externalVerifier":{"$ref":"#/components/schemas/ExternalVerifierEnum"},"identificationType":{"$ref":"#/components/schemas/IdentificationTypeEnum"},"identificationUrl":{"type":"string","minLength":1},"documentId":{"type":"string","format":"uuid"},"naturalPersonIdentificationId":{"type":"string","format":"uuid"},"createdOn":{"type":"string","format":"date-time","description":"The date on which the wizard was created","readOnly":true},"modifiedOn":{"type":"string","format":"date-time","description":"The date on which the wizard was modified the last time","readOnly":true},"status":{"$ref":"#/components/schemas/IdentificationVerificationStatusEnum"}},"required":["externalVerifier","identificationType","naturalPersonId","identificationUrl","identificationVerificationId","createdOn","modifiedOn","status"]},"ExternalVerifierEnum":{"title":"ExternalVerifierEnum","description":"The legal name of the vendor/company performing the identification for this natural person","type":"string","enum":["WEB_ID","ID_NOW","DEUTSCHE_POST","PARTNER","OTHER"]},"IdentificationTypeEnum":{"title":"IdentificationTypeEnum","description":"Method used to identify the customer","type":"string","enum":["VIDEO_IDENT","IN_PERSON","POST_IDENT","E_ID","ID_COPY"]},"IdentificationVerificationStatusEnum":{"title":"IdentificationVerificationStatusEnum","type":"string","enum":["RECEIVED","INVALID","PENDING","APPROVED","REJECTED","EXPIRED"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/entities/identification-verifications/{identificationVerificationId}":{"get":{"summary":"Get Identification Verification","operationId":"get-identification-verification","tags":["Identification"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IdentificationVerification"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Get Identification Verification"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tradevest.ai/api-reference/entities/natural-persons-directory/identification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
